package com.yutou.nas.utils.Interfaces;


import com.yutou.nas.mybatis.model.MusicData;

import java.util.List;

public interface IMusicToolsService {
    void init();

    void scanMusic();

    List<MusicData> getPath(String path, boolean isDir);

    MusicData getMusicData(String md5);

    List<MusicData> findOfTitle(String title);

    List<MusicData> findOfArtist(String by);

    List<MusicData> getMusicList();

    int getLength();

    boolean isScan();

    String getMusicPath();

    byte[] readImage(String path) throws Exception;
}
